[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridScrollerDoScroll

Specifies an event handler routine used to scroll a grid control when a column or row is dragged beyond the grid client area.

## Declaration

Source position: grids.pas line 724

`type TGridScrollerDoScroll = procedure(`
`Dir: TPoint`
`) of object;`

## Arguments

`Dir` |  | TPoint instance with delta values indicating the scroll direction.

## Description

Dir is a TPoint instance which indicates the scroll direction for a grid control. The X and Y members in Dir can contain position or negative values. A negative value indicates the scroll direction is to the left (X) or top (Y) of the grid control. A positive value indicates the scroll direction is to the right (X) or bottom (Y). The values cause the top and/or left visible column on the grid to be adjusted by the indicated amount.

TGridScrollerDoScroll is the type used to implement the internal callback routine in the TGridScroller class. It uses the private ScrollerDoScroll method in TCustomGrid as the handler routine called when a mouse movement is handled in the control.

## See also

TGridScroller.Create |  | Constructor for the class instance.
TGridScroller.Start |  | Stores the scroll direction and starts the internal timer for the class instance.
TCustomGrid.MouseMove |  | Applies a change in the mouse pointer position to the grid control.